From: Charles Wilson [mailto:cwilso11@users.sourceforge.net]
Sent: Wednesday, April 27, 2011 9:53 AM
To: MinGW Users List
Subject: [Mingw-users] Updated: msys-perl-5.8.8-1

I'm pleased to announce that msys-perl has been updated from the
10-year-old 5.6.1 (April 9, 2001), to the young and spry 5.8.8 (Feb 2,
2006).

To install or upgrade:
mingw-get update

mingw-get upgrade msys-perl-bin
mingw-get upgrade msys-perl-man (optional)
mingw-get upgrade msys-perl-html (optional)
mingw-get upgrade msys-perl-doc (optional)
mingw-get upgrade msys-perl-lic (optional)
Obviously, you may need to use 'mingw-get install' instead of 'mingw-get
upgrade' if you do not currently have msys-perl installed.

... huge snip ...
 
When I tried the upgrade I got a huge swarm of messages like the one below. I have never seen this before,
all previous mingw and msys upgrades and installs have worked perfectly.
mingw-get: *** WARNING *** c:\mingw\/msys/1.0/lib/perl5/5.6/unicode/In/IPAExtensions.pl:unlink failed; Permission denied